Package net.snowflake.client.core.auth.wif

## Class WorkloadIdentityUtil.SubjectAndIssuer

- java.lang.Object
- - net.snowflake.client.core.auth.wif.WorkloadIdentityUtil.SubjectAndIssuer

Enclosing class:
  WorkloadIdentityUtil

    public static class WorkloadIdentityUtil.SubjectAndIssuer
    extends Object

Container class for JWT subject and issuer claims. Used in WIF authentication flows to pass extracted token claims.

### Constructor Summary

Constructors
`SubjectAndIssuer​(String subject, String issuer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIssuer()`
`String` `getSubject()`
`Map<String,​String>` `toMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectAndIssuer

    public SubjectAndIssuer​(String subject,
                            String issuer)

### Method Detail

#### getIssuer

    public String getIssuer()

#### getSubject

    public String getSubject()

#### toMap

    public Map<String,​String> toMap()